module RutokenMgr
  module UI
    class BusyWindow < GladeBase
      include GetText
      GetText.bindtextdomain(RutokenMgr::TEXTDOMAIN, nil, nil, "UTF-8")

      attr_accessor :busy_window, :operation_label
      def initialize(parent)
        super "busy_window.glade"
        @busy_window.transient_for = parent
        @busy_window.window_position = Gtk::Window::POS_CENTER_ON_PARENT
        @busy_window.show_all
      end

      def update(label)
        @operation_label.text = label
        while (Gtk.events_pending?)
          Gtk.main_iteration
        end
      end
    end
  end
end
