module RutokenMgr
  module UI
    class GladeBase
      def initialize(filename)
        file = File.join(RutokenMgr::Config::PKGDATA_DIR, 'glade', filename)
        glade = GladeXML.new(file, nil, RutokenMgr::TEXTDOMAIN) { |handler| method(handler) }
        glade.widget_names.each do |name|
          begin
            instance_variable_set("@#{name}".intern, glade[name])
          rescue
          end
        end
      end
    end
  end
end

